Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class AbstractFormatter

    java.lang.Object
      java.util.logging.Formatter
          edu.stanford.smi.protege.util.AbstractFormatter

Direct Known Subclasses:
  ConsoleFormatter, FileFormatter, JournalFormater

    public abstract class AbstractFormatter

extends Formatter

TODO Class Comment

Author:
  Ray Fergerson

Constructor Summary
`AbstractFormatter()`

Method Summary
`protected String` | `format(LogRecord record, String user, boolean showDate, boolean showMethod)`
`protected String` | `format(LogRecord record, String user, boolean showDate, boolean showMethod, boolean printLineSeparator, boolean showLevel)`
`protected static String` | `getDateString()`
`protected static String` | `getLineSeparator()`
`protected static String` | `toString(Object o)`

Methods inherited from class java.util.logging.Formatter
`format, formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFormatter

    public AbstractFormatter()

Method Detail

### format

    protected String format(LogRecord record,
                            String user,
                            boolean showDate,
                            boolean showMethod)

### format

    protected String format(LogRecord record,
                            String user,
                            boolean showDate,
                            boolean showMethod,
                            boolean printLineSeparator,
                            boolean showLevel)

### getLineSeparator

    protected static String getLineSeparator()

### getDateString

    protected static String getDateString()

### toString

    protected static String toString(Object o)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.